package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * User custom DHCP options
 */
@ApiModel(description = "User custom DHCP options")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class CustomDhcpOptions   {
  @JsonProperty("code")
  private Integer code;

  @JsonProperty("type")
  private Integer type;

  @JsonProperty("value")
  private String value;

  public CustomDhcpOptions code(Integer code) {
    this.code = code;
    return this;
  }

  /**
   * Custom DHCP option code
   * @return code
  */
  @ApiModelProperty(value = "Custom DHCP option code")


  public Integer getCode() {
    return code;
  }

  public void setCode(Integer code) {
    this.code = code;
  }

  public CustomDhcpOptions type(Integer type) {
    this.type = type;
    return this;
  }

  /**
   * Type should be a value as follows: 0: \"String\"; 1: \"IP Address\"; 2: \"Hex Array\"
   * @return type
  */
  @ApiModelProperty(value = "Type should be a value as follows: 0: \"String\"; 1: \"IP Address\"; 2: \"Hex Array\"")


  public Integer getType() {
    return type;
  }

  public void setType(Integer type) {
    this.type = type;
  }

  public CustomDhcpOptions value(String value) {
    this.value = value;
    return this;
  }

  /**
   * Value
   * @return value
  */
  @ApiModelProperty(value = "Value")


  public String getValue() {
    return value;
  }

  public void setValue(String value) {
    this.value = value;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CustomDhcpOptions customDhcpOptions = (CustomDhcpOptions) o;
    return Objects.equals(this.code, customDhcpOptions.code) &&
        Objects.equals(this.type, customDhcpOptions.type) &&
        Objects.equals(this.value, customDhcpOptions.value);
  }

  @Override
  public int hashCode() {
    return Objects.hash(code, type, value);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CustomDhcpOptions {\n");
    
    sb.append("    code: ").append(toIndentedString(code)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    value: ").append(toIndentedString(value)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

